KDE 4.7 PyKDE API Reference

- KDE's Python API

# ResourceBaseSettings Class Reference

`from PyKDE4.akonadi import *`

Inherits: KConfigSkeleton → KCoreConfigSkeleton → QObject
Namespace: Akonadi

## Detailed Description

## Methods
| __init__ (self)
KCoreConfigSkeleton.ItemInt | minimumCheckIntervalItem (self)
## Static Methods
int | minimumCheckInterval ()
Akonadi.ResourceBaseSettings | self ()
| setMinimumCheckInterval (int v)

## Method Documentation

__init__ | ( |  | self ) |

KCoreConfigSkeleton.ItemInt minimumCheckIntervalItem | ( |  | self ) |

Get Item object corresponding to MinimumCheckInterval()

## Static Method Documentation

int minimumCheckInterval | ( |  | ) |

Get MinimumCheckInterval

Akonadi.ResourceBaseSettings self | ( |  | ) |

setMinimumCheckInterval | ( | int | v
| ) |  |  |

Set MinimumCheckInterval